**Source URL:** https://limited.veevavault.dev/sitevault/vault-api/api-reference/26.2/veeva-sitevault/update-a-document-to-steady-state.md

# Update a Document to Steady State



This endpoint allows SiteVault Enterprise users to use APIs to update a document to its steady or approved state.

<Endpoint path="/api/{version}/app/sitevault/ebinder/documents/{doc_id}/actions/makesteadystate" method="POST"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Content-Type` | `application/x-www-form-urlencoded` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{:documentId}` | Identifies the document to transition to steady state. |
</FieldTable>

## Query Parameters {#query-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `major_version_number__v` | The major version of the document to move to current. Must match the latest version of the document. |
| `minor_version_number__v` | The minor version of the document to move to current. Must match the latest version of the document. |
| `document_date__v` | Specify the date to set in the *Document Date* field in `YYYY-MM-DD` format. On source documents, this date is also set as the *End Date*. |
| `title__v` | Optional update to the document’s *Description* field. If no value is set, any existing content in the *Description* field is removed. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X POST -H "Authorization: {AUTH_VALUE}" \
https://myvault.veevavault.com/api/v26.1/app/sitevault/ebinder/documents/12345/actions/makesteadystate?major_version_number__v=1&minor_version_number__v=0&document_date__v=2024-03-23

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
      "responseStatus": "SUCCESS",
      "data": {
             "dt_global_version_id__v": "######_12345_1_0"
      }
}

```
</CodeExample>

## Response Details {#response-details}

* On `SUCCESS`, the `dt_global_version_id__v`  is returned.

* Missing parameters or version values that do not match the latest version will prompt an error.



---

**Previous:** [Veeva SiteVault](/sitevault/vault-api/api-reference/26.2/veeva-sitevault)  
**Next:** [Users](/sitevault/vault-api/api-reference/26.2/veeva-sitevault/users)